package com.zjrs.zwnw.sxgl.blo.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.mohrss.leaf.core.framework.domain.blo.impl.BLOImpl;
import com.zjrs.zwnw.sxgl.blo.XtpzBLO;
import com.zjrs.zwnw.sxgl.entity.XtpzMapper;
import com.zjrs.zwnw.sxgl.po.Aa01PO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

@Service
public class XtpzBLOimpl extends BLOImpl implements XtpzBLO {

    @Resource
    private XtpzMapper xtpzMapper;

    @Override
    public Map<String, String> getFjId() {
        Map<String, String> resultMap = new HashMap<>();
        QueryWrapper<Aa01PO> queryWrapper = new QueryWrapper<>();
        Aa01PO aa01PO = xtpzMapper.selectOne(queryWrapper);
        resultMap.put("fjid", aa01PO.getAaa005());
        return resultMap;
    }
}
